From 18bc56e302b53e37631e369458dc11a67af726bb Mon Sep 17 00:00:00 2001
From: Sandro Tosi <sandrotosi@users.noreply.github.com>
Date: Tue, 27 Dec 2022 15:41:15 -0500
Subject: [PATCH] fix(tests): adjust indexes tests for sqlalchemy/1.4.45

This addresses the tests failures as seen in #510
---
 .../test_fastapi/test_multiple_models/test_tutorial001.py     | 4 ++--
 .../test_fastapi/test_multiple_models/test_tutorial002.py     | 4 ++--
 tests/test_tutorial/test_indexes/test_tutorial001.py          | 4 ++--
 tests/test_tutorial/test_indexes/test_tutorial006.py          | 4 ++--
 4 files changed, 8 insertions(+), 8 deletions(-)

diff --git a/tests/test_tutorial/test_fastapi/test_multiple_models/test_tutorial001.py b/tests/test_tutorial/test_fastapi/test_multiple_models/test_tutorial001.py
index cf008563..67b81fc9 100644
--- a/tests/test_tutorial/test_fastapi/test_multiple_models/test_tutorial001.py
+++ b/tests/test_tutorial/test_fastapi/test_multiple_models/test_tutorial001.py
@@ -173,8 +173,8 @@ def test_tutorial(clear_sqlmodel):
     insp: Inspector = inspect(mod.engine)
     indexes = insp.get_indexes(str(mod.Hero.__tablename__))
     expected_indexes = [
-        {"name": "ix_hero_name", "column_names": ["name"], "unique": 0},
-        {"name": "ix_hero_age", "column_names": ["age"], "unique": 0},
+        {"name": "ix_hero_name", "dialect_options": {}, "column_names": ["name"], "unique": 0},
+        {"name": "ix_hero_age", "dialect_options": {}, "column_names": ["age"], "unique": 0},
     ]
     for index in expected_indexes:
         assert index in indexes, "This expected index should be in the indexes in DB"
diff --git a/tests/test_tutorial/test_fastapi/test_multiple_models/test_tutorial002.py b/tests/test_tutorial/test_fastapi/test_multiple_models/test_tutorial002.py
index 57393a7d..7fc6e258 100644
--- a/tests/test_tutorial/test_fastapi/test_multiple_models/test_tutorial002.py
+++ b/tests/test_tutorial/test_fastapi/test_multiple_models/test_tutorial002.py
@@ -173,8 +173,8 @@ def test_tutorial(clear_sqlmodel):
     insp: Inspector = inspect(mod.engine)
     indexes = insp.get_indexes(str(mod.Hero.__tablename__))
     expected_indexes = [
-        {"name": "ix_hero_age", "column_names": ["age"], "unique": 0},
-        {"name": "ix_hero_name", "column_names": ["name"], "unique": 0},
+        {"name": "ix_hero_age", "dialect_options": {}, "column_names": ["age"], "unique": 0},
+        {"name": "ix_hero_name", "dialect_options": {}, "column_names": ["name"], "unique": 0},
     ]
     for index in expected_indexes:
         assert index in indexes, "This expected index should be in the indexes in DB"
diff --git a/tests/test_tutorial/test_indexes/test_tutorial001.py b/tests/test_tutorial/test_indexes/test_tutorial001.py
index 59620773..6194c95c 100644
--- a/tests/test_tutorial/test_indexes/test_tutorial001.py
+++ b/tests/test_tutorial/test_indexes/test_tutorial001.py
@@ -25,8 +25,8 @@ def test_tutorial(clear_sqlmodel):
     insp: Inspector = inspect(mod.engine)
     indexes = insp.get_indexes(str(mod.Hero.__tablename__))
     expected_indexes = [
-        {"name": "ix_hero_name", "column_names": ["name"], "unique": 0},
-        {"name": "ix_hero_age", "column_names": ["age"], "unique": 0},
+        {"name": "ix_hero_name", "dialect_options": {}, "column_names": ["name"], "unique": 0},
+        {"name": "ix_hero_age", "dialect_options": {}, "column_names": ["age"], "unique": 0},
     ]
     for index in expected_indexes:
         assert index in indexes, "This expected index should be in the indexes in DB"
diff --git a/tests/test_tutorial/test_indexes/test_tutorial006.py b/tests/test_tutorial/test_indexes/test_tutorial006.py
index e26f8b2e..b9f1528d 100644
--- a/tests/test_tutorial/test_indexes/test_tutorial006.py
+++ b/tests/test_tutorial/test_indexes/test_tutorial006.py
@@ -26,8 +26,8 @@ def test_tutorial(clear_sqlmodel):
     insp: Inspector = inspect(mod.engine)
     indexes = insp.get_indexes(str(mod.Hero.__tablename__))
     expected_indexes = [
-        {"name": "ix_hero_name", "column_names": ["name"], "unique": 0},
-        {"name": "ix_hero_age", "column_names": ["age"], "unique": 0},
+        {"name": "ix_hero_name", "dialect_options": {}, "column_names": ["name"], "unique": 0},
+        {"name": "ix_hero_age", "dialect_options": {}, "column_names": ["age"], "unique": 0},
     ]
     for index in expected_indexes:
         assert index in indexes, "This expected index should be in the indexes in DB"
